ListPanel (Hyperic HQ Plugin API)
Keywords: org.hyperic.ui.tapestry.components.panel.ListPanel class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.ui.tapestry.components.panel
Class ListPanel

    java.lang.Object
      org.apache.hivemind.impl.BaseLocatable
          org.apache.tapestry.AbstractComponent
              org.apache.tapestry.BaseComponent
                  org.hyperic.ui.tapestry.components.BaseComponent
                      org.hyperic.ui.tapestry.components.panel.ListPanel

All Implemented Interfaces:
  org.apache.hivemind.Locatable, org.apache.hivemind.LocationHolder, org.apache.tapestry.IComponent, org.apache.tapestry.IDirectEvent, org.apache.tapestry.internal.Component, org.apache.tapestry.IRender, org.apache.tapestry.ITemplateComponent

    public abstract class ListPanel

extends BaseComponent

Nested Class Summary
`static interface` | `ListPanel.ListItem`

Field Summary

Fields inherited from class org.apache.tapestry.AbstractComponent
`_body, _bodyCount`

Constructor Summary
`ListPanel()`

Method Summary
`abstract java.lang.String` | `getCurrentSelection()`
`abstract ListPanel.ListItem` | `getItem()`
`abstract org.apache.tapestry.listener.ListenerInvoker` | `getListenerInvoker()`
`abstract java.util.List` | `getListItems()`
`boolean` | `getLoopedItemIsSelected()`
`org.apache.tapestry.components.Block` | `getSelectedBlock()`
`abstract org.apache.tapestry.IActionListener` | `getSelectListener()`
`org.apache.tapestry.components.Block` | `getUnselectedBlock()`
`void` | `renderComponent(org.apache.tapestry.IMarkupWriter writer, org.apache.tapestry.IRequestCycle cycle)`
`void` | `selectItem(org.apache.tapestry.IRequestCycle cycle, java.lang.String id)` Listener, called when an item is selected via DirectLink.
`abstract void` | `setCurrentSelection(java.lang.String id)`
`abstract void` | `setItem(ListPanel.ListItem item)` Used for iterating over the collection.
`abstract void` | `setListItems(java.util.List listItems)`
`abstract void` | `setSelectListener(org.apache.tapestry.IActionListener listener)`

Methods inherited from class org.hyperic.ui.tapestry.components.BaseComponent
`getIsLoggedIn, getPageName, getRequest, getResponse, getServletContext, getUserName`

Methods inherited from class org.apache.tapestry.BaseComponent
`addOuter, finishLoad, getContainedRenderers, getInnerRenderers`

Methods inherited from class org.apache.tapestry.AbstractComponent
`addAsset, addBody, addComponent, checkActiveLock, cleanupAfterRender, enterActiveState, equals, finishLoad, generateClientId, getAsset, getAssets, getBeans, getBinding, getBindingNames, getBindings, getBody, getBodyCount, getBoundId, getClientId, getComponent, getComponents, getContainedComponent, getContainer, getEventInvoker, getExtendedId, getId, getIdPath, getListeners, getMessages, getNamespace, getPage, getRenderWorker, getSpecification, getSpecifiedId, getTemplateTagName, hasEvents, hashCode, isInActiveState, isParameterBound, isRendering, isStateful, pageEndRender, peekClientId, prepareForRender, render, renderBody, renderIdAttribute, renderInformalParameters, setBinding, setClientId, setContainedComponent, setContainer, setHasEvents, setId, setNamespace, setPage, setTemplateTagName, toString, triggerEvent`

Methods inherited from class org.apache.hivemind.impl.BaseLocatable
`getLocation, setLocation`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.tapestry.IComponent
`addAsset, addBody, addComponent, enterActiveState, getAsset, getAssets, getBeans, getBinding, getBindingNames, getBindings, getClientId, getComponent, getComponents, getContainedComponent, getContainer, getEventInvoker, getExtendedId, getId, getIdPath, getListeners, getMessages, getNamespace, getPage, getSpecification, getSpecifiedId, getTemplateTagName, isRendering, peekClientId, renderBody, setBinding, setClientId, setContainedComponent, setContainer, setId, setNamespace, setPage, setTemplateTagName`

Methods inherited from interface org.apache.tapestry.IRender
`render`

Methods inherited from interface org.apache.hivemind.LocationHolder
`setLocation`

Methods inherited from interface org.apache.hivemind.Locatable
`getLocation`

Constructor Detail

### ListPanel

    public ListPanel()

Method Detail

### setCurrentSelection

    @Persist
    public abstract void setCurrentSelection(java.lang.String id)

### getCurrentSelection

    public abstract java.lang.String getCurrentSelection()

### setListItems

    @Parameter(name="listItems",
               required=true)
    public abstract void setListItems(java.util.List listItems)

### getListItems

    public abstract java.util.List getListItems()

### setSelectListener

    @Parameter(name="selectListener",
               required=true)
    public abstract void setSelectListener(org.apache.tapestry.IActionListener listener)

### getSelectListener

    public abstract org.apache.tapestry.IActionListener getSelectListener()

### getListenerInvoker

    @InjectObject(value="infrastructure:listenerInvoker")
    public abstract org.apache.tapestry.listener.ListenerInvoker getListenerInvoker()

### getSelectedBlock

    public org.apache.tapestry.components.Block getSelectedBlock()

### getUnselectedBlock

    public org.apache.tapestry.components.Block getUnselectedBlock()

### setItem

    public abstract void setItem(ListPanel.ListItem item)

  Used for iterating over the collection.

### getItem

    public abstract ListPanel.ListItem getItem()

### getLoopedItemIsSelected

    public boolean getLoopedItemIsSelected()

### selectItem

    public void selectItem(org.apache.tapestry.IRequestCycle cycle,
                           java.lang.String id)

  Listener, called when an item is selected via DirectLink.

### renderComponent

    public void renderComponent(org.apache.tapestry.IMarkupWriter writer,
                                org.apache.tapestry.IRequestCycle cycle)

  Overrides:
    `renderComponent` in class `org.apache.tapestry.BaseComponent`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.